### Constructor

# WebKit2 WebContext new_ephemeral

#### Declaration [src]

    WebKitWebContext*
    webkit_web_context_new_ephemeral (
      void
    )

#### Description [src]

Create a new ephemeral `WebKitWebContext`.

An ephemeral `WebKitWebContext` is a context created with an ephemeral `WebKitWebsiteDataManager`. This is just a convenient method to create ephemeral contexts without having to create your own `WebKitWebsiteDataManager`. All `WebKitWebView`s associated with this context will also be ephemeral. Websites will not store any data in the client storage. This is normally used to implement private instances.

Available since: | 2.16

#### Return value

Returns: | `WebKitWebContext`
| A new ephemeral `WebKitWebContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.